Bug 139568 - RHEL3 tracker of BZ 108777 - USB mouse movement crashes X under anaconda
RHEL3 tracker of BZ 108777 - USB mouse movement crashes X under anaconda
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks: 132991
  Show dependency treegraph
 
Reported: 2004-11-16 13:43 EST by Neil Horman
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-18 10:28:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix bz108777 for RHEL3 (2.17 KB, patch)
2004-11-16 13:44 EST, Neil Horman
no flags Details | Diff

  None (edit)
Description Neil Horman 2004-11-16 13:43:14 EST
Description of problem:
Anaconda (?, the installer that is loaded by Fedora Install Disk 1) 
correctly identifies my NVIDIA Geforce 2 MX and my Gateway CM751
monitor (same as Hitachi CM751).

The graphical installer fails with: 
      XIO: fatal IO error 104

I can install with linux text mode, and set up X later on, so we 
know X can handle the setup.

A similar install with Redhat 9 works just fine in graphical mode.
This is not a show stopper, of course, but it might upset newbie users.

Rather than a cryptic XIO error message, how about a user
friendly (that is, usable and self-explanatory) message, or 
better yet using the same code as the X configuration later 
in the setup?




Version-Release number of selected component (if applicable):
anaconda 9.0.95

How reproducible:
Always

Steps to Reproduce:
1.  Load Fedora Test 3 (0.95) Install Disk 1
2.  Default graphical install

    

Actual Results:  Waiting for X server to start...log located in /tmp/X.log
1...2...3...4...5.... X server started successfully.
XIO: fatal IO error 104 (Connection reset by peer) on X server ":1.0"
install exited abnormally
sending termination signals...done  
[and so forth]

Expected Results: 
good:   an understandable error message
better: drop back into text install
best:   drop back to real X setup as 



Additional info:

Fedora Test 3  Install Disk 1
NVIDIA GeForce 2 MX
Gateway CM751 (same as Hitachi CM751)
Comment 1 Neil Horman 2004-11-16 13:44:46 EST
Created attachment 106829 [details]
patch to fix bz108777 for RHEL3

Kristian Høgsbergs' patch to fix this problem - this has already been fixed in
fedora, and Dell is requesting we apply the same fix to RHEL3
Comment 4 Paul Nasrat 2005-02-02 17:09:14 EST
Commited targeting for U5 builds
Comment 6 Dennis Gregorovic 2005-05-18 10:28:53 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2005-191.html

Note You need to log in before you can comment on or make changes to this bug.